﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            plot.XLabel("X축");
            plot.YLabel("Y축");

            plot.AddSignal(DataGen.Sin(51));
            plot.AddSignal(DataGen.Cos(51));

            Crosshair crosshair = plot.AddCrosshair(42, 0.48);

            crosshair.LineWidth                             = 2;
            crosshair.LineStyle                             = LineStyle.Dash;
            crosshair.Color                                 = Color.Blue;
            crosshair.HorizontalLine.PositionLabelFont.Size = 16;
            crosshair.VerticalLine.LineStyle                = LineStyle.Dot;
            crosshair.VerticalLine.PositionLabelFont.Size   = 8;

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}